/*
Theme Name:   Vortran Custom Theme
Description:  This is a custom theme developed for Vortran Laser Technology
Author:       Mark Young
Author URI:   https://dedicateddesigns.com
Template:     starter-bootstrap-main
Version:      1.0.0
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  vortran-theme
*/

/* General CSS */
header {
    max-width: 100vw !important;
}
body {
    overflow-x: hidden !important;
}
.home-ban-overlay {
    position: absolute;
    bottom: 8%;
    left: 20%;
    right: 20%;
    background-color: #163b94;
    padding: 3rem;
    border-radius: 5px;
}
.line-height-l {
    line-height: 35px;
}
.border-rounded-top-left {
    border-top-left-radius: 35px;
}
.border-rounded-top-right {
    border-top-right-radius: 35px;
}
.border-rounded-bottom-left {
    border-bottom-left-radius: 35px;
}
.border-rounded-bottom-right {
    border-bottom-right-radius: 35px;
}
.prod-gal-img {
    object-fit: contain;
    width: 100%;
}

.prod-card {
    margin: 0 10px;
    box-shadow: 0 5px 10px 0 rgba(0,0,0,0.25);
    border-radius: 5px;
    transition: 0.35s ease;
}
.prod-card:hover {
    margin: -10px 10px;
}

.appli-card {
    margin: 0 5px;
    border-radius: 5px;
    transition: 0.35s ease;
}
.appli-card:hover {
    margin-top: -10px;
}

.case-study-card {
    margin: 0 10px;
    border-radius: 5px;
    transition: 0.35s ease;
    padding: 1rem;
}
.case-study-card:hover {
    background-color: #f5f5f5;
}
#products {
    scroll-padding-top: 200px;
}
.bg-grid {
    background-image: url(https://vortran-beta.dedicateddesignshosting.com/wp-content/uploads/2024/01/Grad-Stripes-Right-Blue.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: left;
}
.bg-grid-orange {
    background-image: url(https://vortran-beta.dedicateddesignshosting.com/wp-content/uploads/2024/01/Grad-Stripes-Orange.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}
.page-header-box {
    background-color: #fff;
    border-top-left-radius: 35px;
    border-top-right-radius: 35px;
    border-bottom-left-radius: 35px;
    margin: 3rem;
    box-shadow: 0 15px 20px -16px;
}
.spec-table {
    width: 100%;
}
.spec-table tr {
    padding: 15px;
}
.spec-table tr:nth-child(even) {
    background-color: #e0e0e0;
}
.spec-table td {
    font-weight: 400;
    padding: 5px;
    font-family: 'Poppins', sans-serif;
}
.spec-table tr:last-child td {
    colspan: 2;
}
.accordion-button {
    transition: 0.35s ease !important;
    border-bottom: 1px solid #ef5a28 !important;
}
.accordion-button:hover {
    border-top-left-radius: 35px !important;
    border-top-right-radius: 35px !important;
    border-bottom-left-radius: 35px !important;
    border: 1px solid #2949F0 !important;
}
.accordion-button:focus {
    border-bottom: 1px solid #163b94 !important;
    background-color: transparent !important;
}
.accordion-button:not(.collapsed) {
    background-color: transparent !important;
    border-bottom: 1px solid #163b94 !important;
}
.accordion-item {
    margin: 5px 0;
    border: none !important;
}
.modal-content {
    border-top-left-radius: 35px !important;
    border-top-right-radius: 35px !important;
    border-bottom-right-radius: 35px !important;
    border-bottom-left-radius: 0 !important;
    box-shadow: 0 10px 20px rgba(0,0,0,0.25);
    overflow: hidden !important;
}
.modal-header {
    border-radius: 0 !important;
    /* border-bottom: 1px solid #2949F0 !important; */
    border: none !important;
}

/* Membership Styling */
#swpm-profile-form, #swpm-registration-form {
    max-width: 1280px;
    margin: 0 auto;
}
.swpm-login-widget-form, .swpm-login-widget-logged, .swpm-registration-success-msg {
    display: flex;
    justify-content: center;
    padding: 50px;
}
.swpm-label, .swpm-password-toggle-label, .swpm-rember-label, .swpm-form-label-wrap label {
    font-family: 'Poppins', sans-serif;
    font-weight: 300;
}
.swpm-login-form-submit, .swpm-submit-btn-default-style {
    border: none;
    color: #ef5a28;
    padding: 10px 15px;
    border-bottom: 1px solid #2949F0;
    font-size: 20px;
    font-weight: 300;
    margin: 10px 0;
    transition: 0.35s ease;
}
.swpm-login-form-submit:hover, .swpm-submit-btn-default-style:hover {
    background-color: #fff;
    border-top-left-radius: 25px;
    border-top-right-radius: 25px;
    border-bottom-left-radius: 25px;
    color: #2949F0;
    border: 1px solid #ef5a28;
}
.column {
    padding: 0 15px;
}
.swpm-form-field {
    border: none;
    border-bottom: 1px solid #ef5a28;
    padding: 10px;
    font-size: 16px;
    font-weight: 300;
    margin: 10px 0;
    transition: 0.35s ease;
}
.swpm-form-field:focus {
    border-bottom: 1px solid #2949F0;
}

/* Nav Adjustments */
#header {
    box-shadow: 0 18px 12px -6px rgba(0,0,0,0.3);
}
.shrink-brand {
    max-width: 10% !important;
}
.nav-link {
    margin: 0 10px;
    font-family: 'Poppins', sans-serif;
    font-weight: bold !important;
    text-transform: uppercase;
    color: #163b94 !important;
    transition: 0.35s ease-in-out !important;
}
.nav-link:hover {
    box-shadow: 1px 0 0 #ef5a28;
}
.nav-link.active {
    box-shadow: 0 1px 0 #ef5a28;
}
.navbar-toggler {
    margin-right: 25px;
}
.navbar-toggler-icon {
    padding-right: 25px;
}
.logged-out-only .dropdown-menu, .logged-in-only .dropdown-menu {
    left: -60% !important;
}
.dropdown-menu {
    border-top-left-radius: 25px !important;
    border-top-right-radius: 0 !important;
    border-bottom-left-radius: 25px !important;
    border-bottom-right-radius: 25px !important;
    left: -25% !important;
    border: none !important;
    padding: 15px !important;
}
.dropdown-item {
    font-family: 'Poppins', sans-serif;
}
.dropdown-item:hover {
    border-right: 1px solid #ef5a28;
    background-color: #fff !important;
}
.dropdown-item.active {
    border-bottom: 1px solid #ef5a28;
    background-color: #fff !important;
    color: #2949F0 !important;
}

/* Typography */
.text-poppins {
    font-family: 'Poppins', sans-serif;
}
.home-ban-title {
    font-family: 'Poppins', sans-serif;
    font-size: 68px;
    font-weight: 700;
    text-transform: uppercase;
    color: #fff;
    text-align: center;
}
.home-ban-subtitle {
    font-family: 'Poppins', sans-serif;
    font-size: 20px;
    font-weight: 300;
    color: #fff;
    text-align: center;
}
.page-head-title {
    font-size: 68px;
    font-family: 'Poppins', sans-serif;
    font-weight: 700;
    text-transform: uppercase;
    color: #163b94;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Poppins', sans-serif;
}
.section-header-orange {
    font-weight: 800;
    text-transform: uppercase;
    text-align: right;
    padding-bottom: 10px;
    border-bottom: 6px solid #ef5a28;
}
.section-header-blue {
    font-weight: 800;
    text-transform: uppercase;
    text-align: right;
    padding-bottom: 10px;
    border-bottom: 6px solid #163b94;
}
.built-by-link {
    color: #f89c1c;
}
#footer p {
    font-size: 14px !important;
}


/* Buttons */
.btn-vor-orange-dark {
    color: #fff;
    padding: 10px;
    border-bottom: 5px solid #ef5a28;
    font-size: 20px;
    font-weight: 700;
    margin: 10px 0;
    transition: 0.35s ease;
}
.btn-vor-orange-dark:hover {
    color: #fff;
    border-bottom: 2px solid #fff;
}
.btn-vor-orange-light {
    color: #163b94;
    padding: 10px;
    border-bottom: 5px solid #ef5a28;
    font-size: 20px;
    font-weight: 700;
    margin: 10px 0;
    transition: 0.35s ease;
}
.btn-vor-orange-light:hover {
    border-bottom: 2px solid #163b94;
}
.btn-vor-orange-light-sm {
    color: #163b94;
    padding: 5px 10px;
    border-bottom: 5px solid #ef5a28;
    font-size: 20px;
    font-weight: 700;
    margin: 10px 0;
    transition: 0.35s ease;
}
.btn-vor-orange-light-sm:hover {
    border-bottom: 2px solid #163b94;
}

.title-link {
    color: #163b94;
}
.prod-title {
    text-transform: uppercase;
}
.appli-title {
    text-transform: uppercase;
}
.down-arrow {
    position: absolute;
    left: 5%; 
    top: 70%;
    max-width: 200px;
}
.down-arrow h3 a {
    color: #fff;
    font-size: 80px;
}
.carousel-control-prev {
    background-image: none !important;
}
.carousel-control-prev-icon {
    background-image: url(/wp-content/uploads/caret-left-solid.svg) !important;
    padding: 40px;
}
.carousel-control-next {
    background-image: none !important;
}
.carousel-control-next-icon {
    background-image: url(/wp-content/uploads/caret-right-solid.svg) !important;
    padding: 40px;
}
.nf-form-content input[type=submit] {
    color: #ef5a28 !important;
    background-color: transparent !important;
    padding: 10px 15px;
    border-bottom: 1px solid #2949F0 !important;
    font-size: 20px;
    font-weight: 300;
    margin: 10px 0;
    transition: 0.35s ease;
}
.nf-form-content input[type=submit]:hover {
    background-color: #fff;
    border-top-left-radius: 25px;
    border-top-right-radius: 25px;
    border-bottom-left-radius: 25px;
    color: #2949F0;
    border: 1px solid #ef5a28 !important;
}

/* Colors */
.bg-blue {
    background-color: #163b94 !important;
}
.text-blue {
    color: #163b94 !important;
}
.bg-brightblue {
    background-color: #2949F0 !important;
}
.text-brightblue {
    color: #2949F0 !important;
}
.bg-orange {
    background-color: #ef5a28 !important;
}
.text-orange {
    color: #ef5a28 !important;
}
.bg-green {
    background-color: #82F029 !important;
}
.text-green {
    color: #82F029 !important;
}
.bg-grey {
    background-color: #f5f5f5 !important;
}
.bg-fade-orange-left {
    background-image: linear-gradient(to left, #e0e0e0, #e0e0e0, transparent);
}
.bg-fade-orange-right {
    background-image: linear-gradient(to right, #e0e0e0, #e0e0e0, transparent);
}
.border-right-brightblue {
    border-right: 1px solid #2949F0;
}
.border-left-brightblue {
    border-left: 1px solid #2949F0;
}
.border-right-orange {
    border-right: 1px solid #ef5a28;
}
.border-left-orange {
    border-left: 1px solid #ef5a28;
}
.border-bottom-orange {
    border-bottom: 1px solid #ef5a28;
}


/* Images */
.navbar-brand {
    max-width:13%; 
    padding-left: 25px;
}
.vor-brand {
    width: 100%;
    height: auto !important;
    padding: 10px 0;
}
.prod-img {
    object-fit: contain;
    object-position: center;
    width: 100%;
    height: 250px;
    padding: 2rem;
    background-color: #fff;
}
.prod-gal-img {
    object-fit: contain;
    height: 500px;
}

.appli-img {
    object-fit: cover;
    object-position: center;
    width: 100%;
    height: 250px;
}
.pub-card-img {
    object-fit: cover;
    object-position: center;
    width: 100%;
    height: 150px;
}
.appli-placeholder-img {
    object-fit: contain;
    object-position: center;
    width: 100%;
    height: 250px;
    background-color: #f7f7f7;
}
.pub-card-placeholder-img {
    object-fit: contain;
    object-position: center;
    width: 100%;
    height: 150px;
}
.pub-img {
    border-top-left-radius: 35px;
    border-top-right-radius: 35px;
    border-bottom-right-radius: 35px;
}
.app-gal-img {
    object-fit: cover;
    object-position: center;
    width: 100%;
    height: 120px;
    border-radius: 35px;
}

/* Video Background */
.head-bg {
    margin-top: -10px !important;
    padding: 0 !important;
    overflow: hidden;
    max-height: 65vh;
    margin-bottom: 10rem;
}
#home-video-bg {
    position: relative;
    top: -35%;
    left: 0;
    width: 1920px;
    height: 1080px;
}


/* Mobile Adjustments */
@media screen and (max-width: 1280px) {
    .head-bg {
        margin-top: -150px !important;
        margin-bottom: 20rem;
    }
    .home-ban-overlay {
        left: 0;
        right: 0;
        bottom: 5%;
    }
    .home-ban-title {
        font-size: 40px;
    }
    .home-ban-subtitle {
        font-size: 16px;
    }
    .navbar-brand {
        max-width: auto;
    }
    .page-head-title {
        font-size: 28px;
    }
    .page-header-box {
        margin: 1rem;
    }
    .prod-card-2 .bg-grey {
        height: auto !important;
    }
    .app-gal-img {
        height: 100px;
    }
}

@media screen and (max-width: 1080px) {
    body.admin-bar #header.fixed-top {
        max-width: 1080px;
    }
    .navbar-brand {
        max-width: 25%;
    }
}

@media screen and (max-width: 992px) {
    .navbar-brand {
        max-width: 35%;
    }
    .swpm-login-widget-form, .swpm-login-widget-logged {
        display: block;
    }
}

.cust-row {
    display: flex;
    align-items: flex-end;
    flex-direction: column;
    justify-content: flex-end;
}
.justify-self-end {
    justify-self: end;
}

/* Home Design 2 */
.home-ban-overlay-2 {
    position: absolute;
    top: 30%;
    left: 5%;
    right: 40%;
    background-color: #fff;
    padding: 3rem;
    border-bottom-right-radius: 35px;
    border-top-right-radius: 35px;
    border-top-left-radius: 35px;
    box-shadow: 0 15px 20px -16px rgba(0,0,0,1);
}
.prod-container {
    margin-bottom: 5px;
    box-shadow: 0 5px 0 #f5f5f5;
}
.appli-card-2 .bg-grey {
    height: auto;
}
.appli-card-2 .auto {
    height: 200px !important;
}
.prod-card-2 {
    box-shadow: 0 15px 20px -16px rgba(0,0,0,1);
    border-bottom-left-radius: 35px;
    transition: 0.35s ease;
}
.prod-card-2 .bg-grey {
    border-bottom-left-radius: 35px;
    height: 300px;
}
.prod-card-2:hover {
    margin-top: -10px;
    margin-bottom: 10px;
}
.intdist-card-2 {
    /* box-shadow: 0 5px 10px 0 rgba(0,0,0,0.25); */
    transition: 0.35s ease;
}
.intdist-card-2 .bg-grey {
    border-bottom-left-radius: 35px;
    height: 375px;
}
.intdist-card-2:hover {
    margin-top: -10px;
    margin-bottom: 10px;
}
.prod-title-2 {
    text-transform: uppercase;
    font-weight: 800;
}
.case-study-card-2 {
    margin: 0 10px;
    /* border-bottom: 1px solid #2949F0; */
    transition: 0.35s ease;
    padding: 1.5rem;
    box-shadow: 0 15px 20px -16px;
    background-color: #fff;
}
.case-study-card-2:hover {
    border: none;
    border-bottom-left-radius: 35px;
    border-top-right-radius: 35px;
    background-color: #f5f5f5;
}

.vor-card-title {
    text-transform: uppercase;
    font-weight: 800;
    margin-bottom: 10px;
}

.vor-card-title .title-link {
    color: #000;
}
.vor-card-subtitle {
    color: #2949F0;
    font-size: 14px;
}

.white-section-header {
    font-size: 50px;
    font-weight: 800;
    text-transform: uppercase;
}
.home-ban-title-2 {
    font-family: 'Poppins', sans-serif;
    font-size: 65px;
    font-weight: 700;
    text-transform: uppercase;
    color: #2949F0;
}
.home-ban-subtitle-2 {
    font-family: 'Poppins', sans-serif;
    line-height: 32px;
    font-size: 20px;
    font-weight: 300;
}
.btn-vor-orange-dark-2 {
    color: #fff;
    padding: 10px;
    border-bottom: 5px solid #ef5a28;
    font-size: 20px;
    font-weight: 700;
    margin: 10px 0;
    transition: 0.35s ease;
}
.btn-vor-orange-dark-2:hover {
    color: #fff;
    border-bottom: 2px solid #fff;
}
.btn-vor-orange-light-2 {
    color: #ef5a28;
    padding: 10px 15px;
    border-bottom: 1px solid #2949F0;
    font-size: 20px;
    font-weight: 300;
    margin: 10px 0;
    transition: 0.35s ease;
}
.btn-vor-orange-light-2:hover {
    background-color: #fff;
    border-top-left-radius: 25px;
    border-top-right-radius: 25px;
    border-bottom-left-radius: 25px;
    color: #2949F0;
    border: 1px solid #ef5a28;
}
.btn-vor-orange-light-sm-2 {
    white-space: nowrap;
    color: #ef5a28;
    background-color: #fff;
    padding: 3px 10px;
    font-size: 15px;
    font-weight: 300;
    font-family: 'Poppins', sans-serif;
    transition: 0.35s ease;
}
.btn-vor-orange-light-sm-2:hover {
    border-top-left-radius: 25px;
    border-top-right-radius: 25px;
    border-bottom-left-radius: 25px;
    color:#2949F0;
    border: 1px solid #ef5a28;
}
.btn-vor-orange-light-sm-var {
    white-space: nowrap;
    color: #ef5a28;
    background-color: #fff;
    padding: 3px 10px;
    font-size: 14px;
    font-weight: 300;
    font-family: 'Poppins', sans-serif;
    transition: 0.35s ease;
}
.btn-vor-orange-light-sm-var:hover {
    border-top-left-radius: 25px;
    border-top-right-radius: 25px;
    border-bottom-left-radius: 25px;
    color:#2949F0;
    border: 1px  solid #ef5a28;
}
.btn-white {
    color: #ef5a28;
    font-family: 'Poppins', sans-serif;
    font-weight: 300;
    padding: 5px 10px;
    border-bottom: 1px solid #163b94;
    transition: 0.35s ease;
}
.btn-white:hover {
    background-color: #fff;
    border-top-right-radius: 25px;
    border-bottom-left-radius: 25px;
    border-bottom-right-radius: 25px;
    color: #2949F0;
    border: 1px solid #ef5a28;
}
.btn-white-blue {
    color: #2949F0;
    border-bottom: 1px solid #ef5a28;
    font-family: 'Poppins', sans-serif;
    font-weight: 300;
    padding: 5px 10px;
    
    transition: 0.35s ease;
}
.btn-white-blue:hover {
    background-color: #fff;
    border-top-left-radius: 25px;
    border-bottom-left-radius: 25px;
    border-bottom-right-radius: 25px;
    color: #ef5a28;
    border: 1px solid #2949F0;
}
.cta-btn {
    border-bottom: 1px solid #2949F0;
    color: #ef5a28;
    font-weight: 300;
    font-size: 24px;
    padding: 10px;
    transition: 0.35s ease;
}
.cta-btn:hover {
    color: #2949F0;
    border: 1px solid #ef5a28;
    border-top-right-radius: 25px;
    border-bottom-left-radius: 25px;
}
.head-bg-2 {
    margin-top: -10px !important;
    padding: 0 !important;
    overflow: hidden !important;
    max-height: 85vh;
}
#home-video-bg-2 {
    position: relative;
    top: -35%;
    left: 0;
}



.appli-card-2 {
    margin: 0 15px;
    transition: 0.35s ease;
    border-top-left-radius: 35px;
    box-shadow: 0 15px 20px -16px;
}
.appli-card-2:hover {
    margin-top: -10px;
    margin-bottom: 10px;
}
.pub-card-2 {
    margin: 0 15px;
    transition: 0.35s ease;
    border-top-left-radius: 35px;
    box-shadow: 0 15px 20px -16px;
}
.pub-card-2:hover {
    margin-top: -10px;
    margin-bottom: 10px;
}
.appli-card-2 img {
    border-top-left-radius: 35px;
}

#cmplz-document {
    max-width: 100% !important;
}

.head-bg-mobile {
    background-color: #2949F0;
    background-image: url(/wp-content/uploads/2024/05/Mobile-Home-BG.png);
}
.head-bg-mobile .home-ban-overlay-2 {
    position: initial !important;
    margin-top: 100px;
    margin-bottom: 25px;
}
.desktop-block {
    display: block !important;
}
.mobile-block {
    display: none !important;
}
.desktop {
    display: flex !important;
}
.mobile {
    display: none !important;
}

/* Mobile Adjustments */
@media screen and (max-width: 1280px) {
    .desktop { display: none !important; }
    .desktop-block { display: none !important; }
    .mobile { display: flex !important; }
    .mobile-block { display: block !important; }
    .vor-card-title {
        overflow-wrap: break-word;
    }
    .head-bg-2 {
        max-height: 50vh;
    }
    .home-ban-overlay-2 {
        left: 5%;
        right: 5%;
        padding: 1rem;
    }
    .btn-vor-orange-light-2 {
        font-size: 16px;
    }
    .home-ban-title-2 {
        font-size: 2em;
    }
    .home-ban-subtitle-2 {
        font-size: 16px;
    }
    .down-arrow {
        display: none;
    }
    .cta-btn {
        font-size: 16px !important;
        padding: 5px !important;
    }
    .white-section-header {
        font-size: 35px;
    }
}
@media screen and (max-width: 960px) {
    .head-bg-2 {
        max-height: 90vh;
    }
    #home-video-bg-2 {
        height: 1000px !important;
    }
    .spec-table td {
        font-size: 14px;
    }
    #navbar.show {
        display: flex;
    }
    #menu-main {
        align-self: end;
        max-width: 60%;
        margin-right: 15px;
    }
    #menu-main li {
        text-align: right;
        margin-bottom: 15px;
    }
    #footer p {
        text-align: center !important;
    }
}
@media screen and (max-width: 1630px) {
    .prod-card-2 .bg-grey, .intdist-card-2 .bg-grey, .appli-card-2 .bg-grey {
        height: auto;
    }
}